package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.entity.SysManual;
import com.yonge.cooleshow.biz.dal.queryInfo.SysManualQueryInfo;
import com.yonge.cooleshow.biz.dal.vo.SysManualVo;
import com.yonge.toolset.mybatis.page.PageInfo;

/**
 * (SysManual)表服务接口
 *
 * @author makejava
 * @since 2021-12-20 13:46:08
 */
public interface SysManualService extends IService<SysManual> {

    PageInfo<SysManual> query(SysManualQueryInfo queryInfo);

    Boolean add(SysManual sysManual, Long userId);

    int update(SysManual sysManual, Long userId);

    String listMenuIds();

     IPage<SysManualVo> query(IPage<SysManualVo> page, SysManualQueryInfo queryInfo);
}

